Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZContentObjectAssignmentHandler Class Reference

Handles default assignments for content objects. More...

## Public Member Functions
| __construct ( $contentObject, $contentVersion)
| nodeIDList ( $selectionText)
| nodeID ( $name)
| setupAssignments ( $parameters)

## Public Attributes
| $CurrentVersion
| $CurrentObject
| $ContentVersion

## Detailed Description

Handles default assignments for content objects.

Definition at line 17 of file ezcontentobjectassignmenthandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentObjectAssignmentHandler::__construct | ( |  | $contentObject,
|  |  | $contentVersion
| ) |  |

Constructor

Parameters

  eZContentObject | $contentObject |
  eZContentObjectVersion | $contentVersion |

Definition at line 25 of file ezcontentobjectassignmenthandler.php.

## Member Function Documentation

## ◆ nodeID()

eZContentObjectAssignmentHandler::nodeID | ( |  | $name | ) |

Definition at line 50 of file ezcontentobjectassignmenthandler.php.

References eZContentObjectTreeNode\fetch(), and eZDebug\writeError().

Referenced by nodeIDList(), and setupAssignments().

## ◆ nodeIDList()

eZContentObjectAssignmentHandler::nodeIDList | ( |  | $selectionText | ) |

Definition at line 31 of file ezcontentobjectassignmenthandler.php.

References nodeID().

Referenced by setupAssignments().

## ◆ setupAssignments()

eZContentObjectAssignmentHandler::setupAssignments | ( |  | $parameters | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 87 of file ezcontentobjectassignmenthandler.php.

References eZNodeAssignment\create(), eZContentObjectTreeNode\fetch(), eZDB\instance(), nodeID(), nodeIDList(), and eZDebug\writeDebug().

## Member Data Documentation

## ◆ $ContentVersion

eZContentObjectAssignmentHandler::$ContentVersion

Definition at line 228 of file ezcontentobjectassignmenthandler.php.

## ◆ $CurrentObject

eZContentObjectAssignmentHandler::$CurrentObject

Definition at line 223 of file ezcontentobjectassignmenthandler.php.

## ◆ $CurrentVersion

eZContentObjectAssignmentHandler::$CurrentVersion

Definition at line 19 of file ezcontentobjectassignmenthandler.php.

The documentation for this class was generated from the following file:

- ezcontentobjectassignmenthandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.